/* 
Theme Name: DubbelDuck Child
Theme URI: https://github.com/elementor/hello-theme/
Description: DubbelDuck Child is a child theme of DubbelDuck
Author: DubbelDuck
Author URI: https://www.dubbelduck.com
Template: dubbelduck
Version: 1.0.1
Text Domain: dubbelduck-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/*------------------------------------*\
	ADD YOUR CUSTOM STYLES HERE
\*------------------------------------*/



/*------------------------------------*\
	BUTTONS
\*------------------------------------*/

.elementor-widget-button .elementor-button, .elementor-widget-form .elementor-button[type="submit"], .cli-plugin-button, .wt-cli-privacy-accept-btn {
	background-color:var( --e-global-color-accent );
	font-weight:bold;
	font-family:var( --e-global-typography-primary-font-family ), Sans-serif;
	border:0px solid;
	font-size:1em;
	padding: .8em 1.2em;
	border-radius:4px;
	position:relative;
} 

.elementor-widget-button .elementor-button:hover, .elementor-widget-form .elementor-button[type="submit"]:hover, .cli-plugin-button:hover, .wt-cli-privacy-accept-btn:hover {
	background-color:var( --e-global-color-primary );
}

.elementor-button.elementor-size-xs {
	background-color:rgba(255,255,255,0)!important;
	padding:0px;
	color:var( --e-global-color-accent );
}

//.elementor-button.elementor-size-xs:after {
	content:"";
	width: 1em;
	height: 1em;
	position: absolute;
	transition: .2s;
	
	background:var(--e-global-color-accent);
	-webkit-mask: url(/wp-content/themes/dubbelduck-child/img/chevron-right.svg) no-repeat 50% 50%;
	mask: url(/wp-content/themes/dubbelduck-child/img/chevron-right.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
}

//.elementor-button.elementor-size-xs span:hover {
	padding-right:12px;
}

.elementor-button-icon {
	transition:.3s;
}

.elementor-button .elementor-align-icon-right {
	margin-left:10px;
}

.elementor-button.elementor-size-xs:hover .elementor-button-icon {
	transform: translateX(5px);
}

.elementor-button.elementor-size-sm {
	
}

.elementor-button.elementor-size-md {
	font-size:1.2em;
}

.elementor-button.elementor-size-lg {
	font-size:1.4em;
}

.elementor-button.elementor-size-xl {
	font-size:1.6em;
}

button:hover, button:focus, [type="submit"]:hover, [type="submit"]:focus, [type="button"]:hover, [type="button"]:focus {
	background-color:var(--e-global-color-primary);
}



/*------------------------------------*\
	FORMULIEREN
\*------------------------------------*/

 .elementor-form input[type=date], .elementor-form input[type=email], .elementor-form input[type=number], .elementor-form input[type=password], .elementor-form input[type=search], .elementor-form input[type=tel], .elementor-form input[type=text], .elementor-form input[type=url], .elementor-form select, .elementor-form textarea{
	background-color:white;
	border: 1px solid;
	border-bottom: 1px solid;
	padding: 12px 20px;
	font-size:1em;
} 

.elementor-form input[type=date], .elementor-form input[type=email], .elementor-form input[type=number], .elementor-form input[type=password], .elementor-form input[type=search], .elementor-form input[type=tel], .elementor-form input[type=text], .elementor-form input[type=url], .elementor-form select, .elementor-form textarea, .elementor-field-subgroup {
	margin:10px 0px!important;
}

.elementor-form input[type=date]:focus, .elementor-form input[type=email]:focus, .elementor-form input[type=number]:focus, .elementor-form input[type=password]:focus, .elementor-form input[type=search]:focus, .elementor-form input[type=tel]:focus, .elementor-form input[type=text]:focus, .elementor-form input[type=url], .elementor-form select:focus, .elementor-form textarea:focus {
	border: 1px solid;
	box-shadow:none;
} 

.elementor-form label {
	margin:5px 0px;
}

.e-form__buttons {
	margin-top: 20px;
}

/* Checkbox & Radio */

.elementor-form input[type="checkbox"], .elementor-form input[type="radio"] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	display: inline-block!important;
	width: 18px;
	height: 18px;
	padding: 4px;
	margin-right: 5px;
	margin-bottom: -6px;
	position: relative;
	background:white;
	border: 1px solid #DBDBE1;
	top:-2px;
}

.elementor-form input[type="checkbox"]:before, .elementor-form input[type="radio"]:before {
	content:"";
	opacity: 0;
	width: 18px;
	height: 18px;
	background:var(--e-global-color-primary);
	background-image:url(/wp-content/themes/dubbelduck-child/img/check-w.svg);
	background-repeat: no-repeat;
	background-size:12px;
	background-position:center center;
	margin:-5px;
	position: absolute;
}

.elementor-form input[type="checkbox"]:checked:before, .elementor-form input[type="radio"]:checked:before{
	opacity: 1;
}

.elementor-message:before {
	display: none;
}

/* Radio */

.elementor-form input[type="radio"], .elementor-form input[type="radio"]:before {
	border-radius:50%;
}

.elementor-field-subgroup.elementor-subgroup-inline .elementor-field-option {
	padding-right:20px;
}

/* Select */

i.eicon-caret-down {
	transform: rotate(90deg)!important;
}

.eicon-caret-down:before {
	 content: '\e87d'!important; /* https://elementor.github.io/elementor-icons/ */
}

.elementor-select-wrapper .select-caret-down-wrapper{
	inset-inline-end: 20px;
}

.elementor-select-wrapper .select-caret-down-wrapper i {
	font-size:12px;
}

/* File Upload */

input {
	margin-top: 0.5rem;
}

input::file-selector-button {
	margin-right:20px;
	color: white;
	padding: 0.5em 1em;
	border: 0px;
	border-radius: 0px;
	background:var(--e-global-color-text);
	transition: .2s;
	cursor: pointer;
}

input::file-selector-button:hover {
	background:var(--e-global-color-secondary);
}

/*------------------------------------*\
	GENERAL
\*------------------------------------*/

/* Zet iconen van lijst-widget op goede hoogte */
.elementor-widget .elementor-icon-list-item {
	-webkit-box-align: normal;
	-ms-flex-align: normal;
	align-items: normal;
}

.elementor-widget .elementor-icon-list-icon i {
	margin-top:.7em;
}

/* Lijst in text-editor */
.elementor-widget-text-editor ul li::marker {
	content: "\e89e";
	font-size:1em;
	font-family: eicons;
	font-weight: 900;
}
.elementor-widget-text-editor ul {
	padding-inline-start: 25px;
}

.elementor-widget-text-editor ul li {
	padding-left: 5px;
	padding-bottom: 10px;
	line-height: 1.8em;
}

/*------------------------------------*\
    COOKIEYES
\*------------------------------------*/

#cookie-law-info-bar {
	border-radius:10px;
	padding:24px 24px!important;
}

.cli-tab-header a.cli-nav-link, a.cli-privacy-readmore {
	font-weight:bold;
}

.cli-style-v2 {
	line-height:24px;
	font-family:var( --e-global-typography-accent-font-family ), Sans-serif;
}

.cli-bar-message:before, .fa-zhihu:before {
	content:"";
	width: 40px;
	height: 40px;
	background-image:url(/wp-content/themes/dubbelduck-child/img/cookie-bar.svg);
	background-repeat: no-repeat;
	background-position:center center;
	margin-bottom:20px;
	display:block;
}

.cli-bar-btn_container {
	gap:10px;
	margin-top:20px!important;
}

.cli-plugin-button, .wt-cli-privacy-accept-btn {
	margin:0px!important;
	font-family:var( --e-global-typography-primary-font-family ), Sans-serif;
	transition:.2s;
}

.wt-cli-ckyes-footer-section {
	display:none;
}

/*------------------------------------*\
	MOGELIJKHEDEN
\*------------------------------------*/

/* Underline animatie V1  */

p:last-child {
	margin-bottom:0em;
}

p a {
	color:var(--e-global-color-accent);
	position: relative;
}

p a:hover {
	color:var(--e-global-color-primary);	
}

p a:after {
	content: "";
	width: 100%;
	height: 1px;
	background: var(--e-global-color-accent);
	display: inline;
	position: absolute;
	bottom: 2px;
	transition: .2s;
	left:0px;
}

p a:hover:after {
	background:inherit;
	bottom: 0px;
}


/* Underline animatie V2  */

/* p {
	margin-bottom:1.5em;
}

p a {
	font-weight:bold;
	color:var(--e-global-color-primary);
	position:relative;
	padding-bottom:.1em;
	border-bottom:2px solid rgba(41,48,57,0.1);
	overflow:hidden;
	text-decoration:none!important;
}

p a:hover{
	color:var(--e-global-color-primary);
}

p a::after {
	content: "";
	position:absolute;
	left:0;
	bottom:-.1em;
	width:100%;
	height:2px;
	background:var(--e-global-color-accent);
	
	transform: scaleX(0);
	transform-origin:right;
	transition:transform 300ms ease-in-out;
}

p a:hover::after {
	transform: scaleX(1);
	transform-origin:left;
} */

/*------------------------------------*\
	AFBEELDINGEN
\*------------------------------------*/

.reveal.fadeIn * {
	opacity: 1;
	animation: reveal cubic-bezier(0.75, 0, .25, 1) forwards;
   transform-origin: 100% 0%;
   animation-duration: 1.5s;
   -webkit-animation-duration: 1.5s;
}
   
@keyframes reveal {
	   0% {
		   clip-path: polygon(0 0, 0 0, 0 100%, 0 100%);
	   }
	   
	   100% {
		   clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
	   }
}

/*------------------------------------*\
	GENERAL
\*------------------------------------*/

/* Hide header */
header.page-header {
	display:none;
}

//.e-con>.e-con-inner {
	padding-block-start: 0px;
	padding-block-end: 0px;
}

/* Columns padding */
/* :root {
	--container-default-0:0px;
	--container-default-pt:20px;
	--container-default-pb:20px;
	--container-default-pl:40px;
	--container-default-pr:40px;
}

@media only screen and (max-width: 940px) {
	:root {
		--container-default-pt:15px;
		--container-default-pb:15px;
		--container-default-pl:30px;
		--container-default-pr:30px;
	}
}

@media only screen and (max-width: 640px) {
	:root {
		--container-default-pt:10px;
		--container-default-pb:10px;
		--container-default-pl:20px;
		--container-default-pr:20px;
	}
}

.e-con {
	--container-default-padding-top: var(--container-default-pt);
	--container-default-padding-bottom: var(--container-default-pb);
	--container-default-padding-left: var(--container-default-pl);
	--container-default-padding-right: var(--container-default-pr);
	padding-left: var(--padding-left);
	padding-right: var(--padding-right);
	padding-top: var(--padding-top);
	padding-bottom: var(--padding-bottom);
}

.e-con .e-con-inner, :is(.elementor-section-wrap,[data-elementor-id])>.e-con {
	--container-default-padding-top: var(--container-default-0);
	--container-default-padding-bottom: var(--container-default-0);
	--container-default-padding-left: var(--container-default-0);
	--container-default-padding-right: var(--container-default-0);
} */

.elementor-element:where(.e-con-full,.elementor-widget) {
	//column-gap:0px!important;
}

/* .elementor-column-gap-default>.elementor-row>.elementor-column, .elementor-column-gap-default>.elementor-column>.elementor-element-populated {
padding: 10px 30px;
}

@media only screen and (max-width: 940px) {
	.elementor-column-gap-default>.elementor-row>.elementor-column, .elementor-column-gap-default>.elementor-column>.elementor-element-populated {
	padding: 10px 20px;
	}
}

@media only screen and (max-width: 640px) {
	.elementor-column-gap-default>.elementor-row>.elementor-column, .elementor-column-gap-default>.elementor-column>.elementor-element-populated {
	padding: 10px 10px;
	}
}

.e-con-full {
	padding: 20px 40px;
}

@media only screen and (max-width: 940px) {
	.e-con-full {
		padding: 15px 30px;
	}
}

@media only screen and (max-width: 640px) {
	.e-con-full {
		padding: 10px 20px;
	}
}
*/

/*------------------------------------*\
	BETTER ANIMATIONS
\*------------------------------------*/

@keyframes fadeDown {
	from {
		opacity: 0;
		transform: translate3d(0,-25%,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

.elementor-element.fadeInDown {
	animation-name: fadeDown
}

@keyframes fadeLeft {
	from {
		opacity: 0;
		transform: translate3d(-25%,0,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

.elementor-element.fadeInLeft {
	animation-name: fadeLeft
}

@keyframes fadeRight {
	from {
		opacity: 0;
		transform: translate3d(25%,0,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

.elementor-element.fadeInRight {
	animation-name: fadeRight
}

@keyframes fadeUp {
	from {
		opacity: 0;
		transform: translate3d(0,25%,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

.elementor-element.fadeInUp {
	animation-name: fadeUp
}

@keyframes slideDown {
	from {
		opacity: 0;
		transform: translate3d(0,-25%,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

.elementor-element.slideInDown {
	animation-name: slideDown
}

@keyframes slideLeft {
	from {
		transform: translate3d(-25%,0,0)
	}

	to {
		transform: none
	}
}

.elementor-element.slideInLeft {
	animation-name: slideLeft
}

@keyframes slideRight {
	from {
		transform: translate3d(25%,0,0)
	}

	to {
		transform: none
	}
}

.elementor-element.slideInRight {
	animation-name: slideRight
}

@keyframes slideUp {
	from {
		transform: translate3d(0,25%,0)
	}

	to {
		transform: none
	}
}

.elementor-element.slideInUp {
	animation-name: slideUp
}


/* Voor animaties */

html {
	overflow-x: hidden;
}

/* Captcha */
.grecaptcha-badge {
	visibility: hidden;
}

.verberg {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}


/* Haalt blauwe focus van buttons weg */
*:focus {
	outline:none
}

/* Haalt flex weg van small button */
.elementor-button.elementor-size-xs .elementor-button-content-wrapper {
	display: inline-flex;
	justify-content: inherit;
	padding-right:.5em;
	transition:.2s;
}


.elementor-popup-modal .dialog-close-button {
	background: var(--e-global-color-primary);
	border-radius: 50%;
	padding: .5em;
	color:white;
}

.elementor-popup-modal .dialog-close-button:hover {
	transform:scale(1.1);
}

/* Contactform7  */

/* .one-half,
.one-third {
	position: relative;
	margin-right: 4%;
	float: left;
}
 
.one-half { width: 48%; }
.one-third { width: 30.66%; }
 
.last {
	margin-right: 0 !important;
	clear: right;
}

.one-half label, .one-third label, .last label{
	font-size:12px;
}

@media only screen and (max-width: 767px) {
	.one-half, .one-third {
		width: 100%;
		margin-right: 0;
	}
} */